<script setup lang="ts"></script>

<template>
  <transition-group name="modelist" tag="div">
    <slot />
  </transition-group>
</template>

<style>
.modelist-move, /* apply transition to moving elements */
.modelist-enter-active,
.modelist-leave-active {
  transition: all 0.5s ease;
}

.modelist-enter-from {
  opacity: 0;
  transform: translateX(50%);
}

.modelist-leave-to {
  opacity: 0;
  transform: translateX(-50%);
}

/* ensure leaving items are taken out of layout flow so that moving
   animations can be calculated correctly. */
.modelist-leave-active {
  position: absolute;
}
</style>
